/* Header for main.c */

#ifndef MAIN_H
#define MAIN_H 1

/* Any msgs equal or above this priority will cause us to notify emsd
   with a SIGUSR1 */
extern int notifylevel;

/* If more then this number of msg's are recived old msgs are culled
   to make room for new msgs.  */
extern int maxmsgs;

/* When the msg list is culled we don't want to just junk any and all
   msgs. We may want to save some. So any msg with a priority equal or
   greater then savepri will not be culled. However if the first cull
   doesn't kill enough msgs a second run will be conducted with a
   higher savepri. This goes on untill enough msgs have been culled.  */
extern int savepri;

/* No more then 1 forcecheck per forcecheck_interval will ever be
   run. */
extern int forcecheck_interval;

#endif /* main.h */
