/* Header file for logfunc.c */

#ifndef LOGFUNC_H
#define LOGFUNC_H 1

void logmsg(char *msg,int urgency);

extern char *logfile;

extern char *errmsg;

/* Urgency level #defines */
#define ESM_LOG_EMERG       8       /* system is unusable */
#define ESM_LOG_ALERT       7       /* action must be taken immediately */
#define ESM_LOG_CRIT        6       /* critical conditions */
#define ESM_LOG_ERR         5       /* error conditions */
#define ESM_LOG_WARNING     4       /* warning conditions */
#define ESM_LOG_NOTICE      3       /* normal but significant condition */
#define ESM_LOG_INFO        2       /* informational */
#define ESM_LOG_DEBUG       1       /* debug-level messages */

#endif /* logfunc.h */
