/* Contains all of the options specified by the user. */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "options.h"

int updateinterval = 600;

int monitortimeout = 60;

int sendertimeout = 120;

int module_kill_signal_interval = 5;

int forkfail_urgency = 8;

char defaultconfigdir[] = "/etc/esm";
char *configdir;

int nodelete = 0;

int daemon_mode = 1;

static char *id="@(#) $Id: options.c,v 4.0 1999/10/07 22:56:14 pete Exp $";

/* 
 * $Log: options.c,v $
 * Revision 4.0  1999/10/07 22:56:14  pete
 * Started work on version 1.0
 *
 * Revision 3.1  1999/09/19 18:25:56  pete
 * Added support for automake
 *
 * Revision 3.0  1999/09/19 01:15:24  pete
 * Started work on 0.03
 *
 * Revision 2.0  1999/09/15 16:05:52  pete
 * Started work on version 0.02
 *
 * Revision 1.18  1999/09/12 23:24:28  pete
 * Changed some default values to more resonable values.
 *
 * Revision 1.17  1999/09/12 01:20:24  pete
 * Changed daemon to daemon_mode
 *
 * Revision 1.16  1999/09/11 22:22:50  pete
 * Made daemon mode the default.
 *
 * Revision 1.15  1999/09/11 20:52:14  pete
 * *** empty log message ***
 *
 * Revision 1.14  1999/09/11 20:46:35  pete
 * Added daemon var.
 *
 * Revision 1.13  1999/09/11 19:54:08  pete
 * Changed nodelete to 0
 *
 * Revision 1.12  1999/09/11 19:22:38  pete
 * Added the nodelete var.
 *
 * Revision 1.11  1999/09/11 18:57:08  pete
 * Changed defaultconfigdir to /etc/esm from /etc/esmd
 *
 * Revision 1.10  1999/09/11 02:07:34  pete
 * Added ID and LOG tags after much work. :)
 *
 */
