/* Header file for sender.c */

#ifndef SENDER_H
#define SENDER_H 1

void sendsysreport();

/* SENDER typedef. */
typedef struct sender_t {
  char *title;
  char *cmd;
  char *stdin_file;
  char *stdout_file;
  pid_t pid;
  int pri;
} SENDER;

void addsender(SENDER newsend, int pri);

/* Note that only one sender is actually used. 
   Future versions of ESM will use multiple
   senders.
*/
extern SENDER *senderlist;
extern int numsenders;

#endif /* sender.h */
